<?php

namespace PortalPeople\shippingcosts\models;

use Yii;

/**
 * This model extends product data into a json array".
 * ..
 */
class Shippingcostsprices extends \yii\base\Model
{
    public $label;
    public $qty;
    public $size;
    public $price;
    public $saleprice;


    public function rules()
    {
        return [
            [['label'],'string'],
            [['price', 'qty', 'size', 'saleprice'], 'number'],
        ];
    }
    public function attributes()
    {
        return [
            'label' => 'label',
            'price' => 'price',
            'size' => 'size',
            'qty' => 'qty',
            'saleprice' => 'saleprice',
        ];
    }
    public function attributeLabels()
    {
        return [
            'label' => Yii::t('app', 'Label'),
            'price' => Yii::t('app', 'Price'),
            'size' => Yii::t('app', 'Size'),
            'qty' => Yii::t('app', 'Qty'),
            'saleprice' => Yii::t('app', 'Sales Price'),
        ];
    }
}
